Bug 990514 - Java update breaks plantuml
Java update breaks plantuml
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 06:56 EDT by Paul Black
Modified: 2013-08-06 11:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 11:04:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Black 2013-07-31 06:56:21 EDT
Description of problem:
Cannot run plantuml: Error: Could not find or load main class net.sourceforge.plantuml.Run


Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64

How reproducible:
Very

Steps to Reproduce:
1. Install relevant Java update
2. run plantuml


Actual results:
[paulb@vienna]~/nes% export VERBOSE=1
[paulb@vienna]~/nes% plantuml 
java virtual machine used: /usr/lib/jvm/jre/bin/java
classpath used: /usr/bin/build-classpath: error: JVM_LIBDIR /usr/lib/jvm-exports/jre does not exist or is not a directory:
main class used: net.sourceforge.plantuml.Run
flags used: 
options used: 
arguments used: 
Error: Could not find or load main class net.sourceforge.plantuml.Run


Expected results:
plantuml runs

Additional info:
The following links in /usr/lib/jvm-exports are dangling after the update is installed:
jre -> /etc/alternatives/jre_exports
jre-1.7.0 -> /etc/alternatives/jre_1.7.0_exports
jre-openjdk -> /etc/alternatives/jre_openjdk_exports

Probably related to 979128 and 983677
Comment 1 Omair Majid 2013-08-05 12:14:03 EDT
I believe this is fixed with java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19. Can you confirm?
Comment 2 Paul Black 2013-08-06 05:57:40 EDT
That is working for me.

Cheers.

Note You need to log in before you can comment on or make changes to this bug.